/*
 * Mangrove Server API
 *
 * Submit and retrieve reviews, as well as aggregate statistics about reviews. More information about the values and types can be found in the [Open Reviews Standard](https://mangrove.reviews/standard). For more description and example usage see [Mangrove Demo UI](https://mangrove.reviews) and [Mangrove Client JS Library](https://js.mangrove.reviews/) for a JavaScript wrapper of this API.
 *
 * The version of the OpenAPI document: 0.1.1
 *
 * Generated by: https://openapi-generator.tech
 */
use serde_derive::{Deserialize, Serialize};
/// BatchQuery : Query allowing for retrieval of information about multiple subjects or issuers.

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct BatchQuery {
    /// List of issuer public keys to get information about.
    #[serde(
        rename = "pems",
        deserialize_with = "Option::deserialize",
        skip_serializing_if = "Option::is_none"
    )]
    pub pems: Option<Vec<String>>,
    /// List of subject URIs to get information about.
    #[serde(
        rename = "subs",
        deserialize_with = "Option::deserialize",
        skip_serializing_if = "Option::is_none"
    )]
    pub subs: Option<Vec<String>>,
}

impl BatchQuery {
    /// Query allowing for retrieval of information about multiple subjects or issuers.
    pub fn new(pems: Option<Vec<String>>, subs: Option<Vec<String>>) -> BatchQuery {
        BatchQuery { pems, subs }
    }
}
